
<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>{{receiver}}</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a style="color: dodgerblue">Chat</a></li>
          <li class="breadcrumb-item active">{{receiver}}</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>



<div class="card direct-chat direct-chat-primary">
  <div class="card-header">
    <h3 class="card-title">{{receiver}}</h3>

    <div class="card-tools" hidden>
      <span data-toggle="tooltip" title="3 New Messages" class="badge badge-primary">3</span>
      <button type="button" class="btn btn-tool" data-card-widget="collapse">
        <i class="fas fa-minus"></i>
      </button>
      <button type="button" class="btn btn-tool" data-toggle="tooltip" title="Contacts"
              data-widget="chat-pane-toggle">
        <i class="fas fa-comments"></i>
      </button>
      <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i>
      </button>
    </div>
  </div>
  <!-- /.card-header -->
  <div class="card-body">
    <!-- Conversations are loaded here -->
    <div class="direct-chat-messages" #scrollMe style="overflow: scroll; overflow-x: hidden ;height: 360px">
    <div *ngFor="let chatMessage of webSocketService.chatMessages">
      <!-- Message. Default to the left -->
      <div class="direct-chat-msg" *ngIf="!isSender(chatMessage.senderId)">
        <div class="direct-chat-infos clearfix">
          <span class="direct-chat-name float-left">{{chatMessage.senderId}}</span>
          <span class="direct-chat-timestamp float-right">{{chatMessage.sentAt|date:'d/M/yy, h:mm a'}}</span>
        </div>
        <!-- /.direct-chat-infos -->
        <img class="direct-chat-img" src="assets/dist/img/user1-128x128.jpg" alt="message user image">
        <!-- /.direct-chat-img -->
        <div class="direct-chat-text">
          {{chatMessage.content}}
        </div>
        <!-- /.direct-chat-text -->
      </div>
      <!-- /.direct-chat-msg -->

      <!-- Message to the right -->
      <div class="direct-chat-msg right" *ngIf="isSender(chatMessage.senderId)">
        <div class="direct-chat-infos clearfix">
          <span class="direct-chat-name float-right">{{chatMessage.senderId}}</span>
          <span class="direct-chat-timestamp float-left">{{chatMessage.sentAt|date:'d/M/yy, h:mm a'}}</span>
        </div>
        <!-- /.direct-chat-infos -->
        <img class="direct-chat-img" src="assets/dist/img/user3-128x128.jpg" alt="message user image">
        <!-- /.direct-chat-img -->
        <div class="direct-chat-text">
          {{chatMessage.content}}
        </div>
        <!-- /.direct-chat-text -->
      </div>
      <!-- /.direct-chat-msg -->

    </div>

    </div>
    <!--/.direct-chat-messages-->

    <!-- Contacts are loaded here -->
    <div class="direct-chat-contacts">
      <ul class="contacts-list">
        <li>
          <a href="#">
            <img class="contacts-list-img" src="assets/dist/img/user1-128x128.jpg">

            <div class="contacts-list-info">
                          <span class="contacts-list-name">
                            Count Dracula
                            <small class="contacts-list-date float-right">2/28/2015</small>
                          </span>
              <span class="contacts-list-msg">How have you been? I was...</span>
            </div>
            <!-- /.contacts-list-info -->
          </a>
        </li>
        <!-- End Contact Item -->
        <li>
          <a href="#">
            <img class="contacts-list-img" src="assets/dist/img/user7-128x128.jpg">

            <div class="contacts-list-info">
                          <span class="contacts-list-name">
                            Sarah Doe
                            <small class="contacts-list-date float-right">2/23/2015</small>
                          </span>
              <span class="contacts-list-msg">I will be waiting for...</span>
            </div>
            <!-- /.contacts-list-info -->
          </a>
        </li>
        <!-- End Contact Item -->
        <li>
          <a href="#">
            <img class="contacts-list-img" src="assets/dist/img/user3-128x128.jpg">

            <div class="contacts-list-info">
                          <span class="contacts-list-name">
                            Nadia Jolie
                            <small class="contacts-list-date float-right">2/20/2015</small>
                          </span>
              <span class="contacts-list-msg">I'll call you back at...</span>
            </div>
            <!-- /.contacts-list-info -->
          </a>
        </li>
        <!-- End Contact Item -->
        <li>
          <a href="#">
            <img class="contacts-list-img" src="assets/dist/img/user5-128x128.jpg">

            <div class="contacts-list-info">
                          <span class="contacts-list-name">
                            Nora S. Vans
                            <small class="contacts-list-date float-right">2/10/2015</small>
                          </span>
              <span class="contacts-list-msg">Where is your new...</span>
            </div>
            <!-- /.contacts-list-info -->
          </a>
        </li>
        <!-- End Contact Item -->
        <li>
          <a href="#">
            <img class="contacts-list-img" src="assets/dist/img/user6-128x128.jpg">

            <div class="contacts-list-info">
                          <span class="contacts-list-name">
                            John K.
                            <small class="contacts-list-date float-right">1/27/2015</small>
                          </span>
              <span class="contacts-list-msg">Can I take a look at...</span>
            </div>
            <!-- /.contacts-list-info -->
          </a>
        </li>
        <!-- End Contact Item -->
        <li>
          <a href="#">
            <img class="contacts-list-img" src="dist/img/user8-128x128.jpg">

            <div class="contacts-list-info">
                          <span class="contacts-list-name">
                            Kenneth M.
                            <small class="contacts-list-date float-right">1/4/2015</small>
                          </span>
              <span class="contacts-list-msg">Never mind I found...</span>
            </div>
            <!-- /.contacts-list-info -->
          </a>
        </li>
        <!-- End Contact Item -->
      </ul>
      <!-- /.contacts-list -->
    </div>
    <!-- /.direct-chat-pane -->
  </div>
  <!-- /.card-body -->
  <div class="card-footer">
    <form (ngSubmit)="sendMessage(sendForm)" #sendForm="ngForm">
      <div class="input-group">
        <input type="text" name="message" placeholder="Type Message ..." id="input-message" class="form-control" ngModel>
        <span class="input-group-append">
          <button type="submit" class="btn btn-primary">Send</button>
        </span>
      </div>
    </form>
  </div>
  <!-- /.card-footer-->
</div>
